# $Revision: 1.9 $, $Date: 2008/08/29 19:31:20 $
# avoid rpm 4.4.9 adding rm -rf buildroot, we need the dirs to check consistency
%define		__spec_clean_body	%{nil}
%define		_enable_debug_packages	0
Summary:	K Desktop Environment - common directories
Summary(pl.UTF-8):	Wspólne katalogi KDE (K Desktop Environment)
Name:		kde-common-dirs
Version:	0.1
Release:	2
License:	LGPL
Group:		X11/Libraries
URL:		http://www.kde.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE 3 & KDE 4 common directories.

%description -l pl.UTF-8
Katalogi wspólne dla KDE 3 i KDE 4.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT%{_libdir}/kconf_update_bin \
	$RPM_BUILD_ROOT%{_datadir}/applnk/.hidden \
	$RPM_BUILD_ROOT%{_datadir}/apps/kde \
	$RPM_BUILD_ROOT%{_datadir}/apps/khtml/css \
	$RPM_BUILD_ROOT%{_datadir}/apps/kjava \
	$RPM_BUILD_ROOT%{_datadir}/apps/kconf_update \
	$RPM_BUILD_ROOT%{_datadir}/apps/kstyle/themes \
	$RPM_BUILD_ROOT%{_datadir}/apps/profiles \
	$RPM_BUILD_ROOT%{_datadir}/apps/remotes \
	$RPM_BUILD_ROOT%{_datadir}/autostart \
	$RPM_BUILD_ROOT%{_datadir}/services \
	$RPM_BUILD_ROOT%{_datadir}/config/ui \
	$RPM_BUILD_ROOT%{_datadir}/config.kcfg \
	$RPM_BUILD_ROOT%{_datadir}/emoticons \
	$RPM_BUILD_ROOT%{_docdir}/kde \
	$RPM_BUILD_ROOT%{_kdedocdir}/en \
	$RPM_BUILD_ROOT%{_desktopdir}/kde

%clean
cd $RPM_BUILD_ROOT
check_filesystem_dirs() {
	RPMFILE=%{name}-%{version}-%{release}.%{_target_cpu}.rpm
	TMPFILE=$(mktemp)
	# NOTE: we must exclude from check all existing dirs belonging to FHS
	find | sed -e 's|^\.||g' -e 's|^$||g' | LC_ALL=C sort | grep -v $TMPFILE | grep -E -v '^/(usr|usr/lib|usr/lib64|usr/share|usr/share/doc|usr/share/applications)$' > $TMPFILE

	# find finds also '.', so use option -B for diff
	if rpm -qpl %{_rpmdir}/$RPMFILE | grep -v '^/$' | LC_ALL=C sort | diff -uB $TMPFILE -; then
		rm -rf $RPM_BUILD_ROOT
	else
		echo -e "\nNot so good, some directories are not included in package\n"
		exit 1
	fi
	rm -f $TMPFILE
}
check_filesystem_dirs

%files
%defattr(644,root,root,755)
%dir %{_libdir}/kconf_update_bin
%dir %{_datadir}/applnk
%dir %{_datadir}/applnk/.hidden
%dir %{_datadir}/apps
%dir %{_datadir}/apps/kde
%dir %{_datadir}/apps/kjava
%dir %{_datadir}/apps/khtml
%dir %{_datadir}/apps/khtml/css
%dir %{_datadir}/apps/kconf_update
%dir %{_datadir}/apps/kstyle
%dir %{_datadir}/apps/kstyle/themes
%dir %{_datadir}/apps/profiles
%dir %{_datadir}/apps/remotes
%dir %{_datadir}/autostart
%dir %{_datadir}/config
%dir %{_datadir}/config/ui
%dir %{_datadir}/config.kcfg
%dir %{_datadir}/emoticons
%dir %{_datadir}/services
%dir %{_docdir}/kde
%dir %{_kdedocdir}
%dir %{_kdedocdir}/en
%dir %{_desktopdir}/kde

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-common-dirs.spec,v $
Revision 1.9  2008/08/29 19:31:20  glen
- filter only needed paths

Revision 1.8  2008/08/29 19:29:09  glen
- exclude paths from FHS/filesystem
- add apps/kjava

Revision 1.7  2008/08/29 19:23:22  glen
- add apps/{khtml,khtml/css}
- check for packaged files from FHS.spec

Revision 1.6  2008/02/12 18:09:11  qboosh
- pl
- /usr/share/config bugfix

Revision 1.5  2008-01-23 18:10:08  glen
- %prep for ./builder

Revision 1.4  2008-01-23 14:03:07  shadzik
- no nedd for %prep and %build

Revision 1.3  2008-01-20 19:00:03  pascalek
- few more dirs

Revision 1.2  2008-01-20 00:17:47  pascalek
- no sources

Revision 1.1  2008-01-19 23:50:48  pascalek
- initial revision
